const system = require("../../../system");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
module.exports = (db, DataTypes) => {
  return db.define("upload", {
    name: DataTypes.STRING,
    status: DataTypes.INTEGER,
    total: DataTypes.INTEGER,
    success: DataTypes.INTEGER,
    fail: DataTypes.INTEGER,
    file_url: DataTypes.STRING,
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'excel_upload',
      validate: {

      },
      indexes: [
      ]
    });
};
